agents

## Class Employee

- java.lang.Object
- - agents.Agent
  - - agents.Employee

-     public class Employee
      extends Agent

  Version:
    1.0
  Author:
    Alan Mills

    This class implements the Employee agent. An individual employee of the Employer. An Employee decides whether to participate in the wellness program, decides whether to comply with the program’s exercise recommendations, progresses along “stages of change” for maintaining an exercise regimen, decides whether to terminate employment in order to work elsewhere, and decides when to retire. The Employee also changes body weight, may develop diabetes, may incur medical expenses for diabetes, has days of absence from work, and has days of presenteeism.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Employee(repast.simphony.context.Context<java.lang.Object> pContext, AgentID pEmployeeID)` Constructs an Employee agent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `analysis_DetermineProgramCost_Base()` Computes the base design annual program cost for each Employee.
    `double` | `analysis_DetermineProgramCost_ChoiceArchitecture()` Computes the choice architecture program cost for each Employee.
    `double` | `analysis_DetermineProgramCost_Incentive()` Computes the incentive annual program cost for each Employee.
    `double` | `analysis_GetAbsences_Average_NonParticipating()` Computes the annual average absence due to diabetes for non-participating employees.
    `double` | `analysis_GetAbsences_Average_Participating()` Computes the annual average absence due to diabetes for participating employees.
    `double` | `analysis_GetAbsences_Average_Total()` Computes the annual average absence due to diabetes for all employees.
    `double` | `analysis_GetAbsences_NonParticipating()` Computes the annual absence due to diabetes for non-participating employees.
    `double` | `analysis_GetAbsences_Participating()` Computes the annual absence due to diabetes for participating employees.
    `double` | `analysis_GetAbsences_Total()` Computes the annual absence due to diabetes for all employees.
    `int` | `analysis_GetAge_Average_NonParticipating()` Gets the average age of each non-participant.
    `int` | `analysis_GetAge_Average_Participating()` Gets the average age of each participant.
    `int` | `analysis_GetAge_Average_Total()` Gets the average age of each employee.
    `int` | `analysis_GetAge_Diabetes()` Gets the age of each person with diabetes.
    `int` | `analysis_GetAge_Participating()` Gets the age of each participant.
    `int` | `analysis_GetAge_Total()` Gets the age of each employee.
    `double` | `analysis_GetBMI_Total()` Provides the Employee's weight category as a BMI measure.
    `double` | `analysis_GetCareerLength_Average_NonParticipating()` Computes the average career length for program non-participants
    `double` | `analysis_GetCareerLength_Average_Participating()` Computes the average career length for program participants
    `double` | `analysis_GetCareerLength_Average_Total()` Computes each Employee's average career length
    `double` | `analysis_GetCareerLength()` Computes each Employee's career length
    `int` | `analysis_GetDiabetesCount_NonParticipating()` Counts the total number of non-participating Employees with Diabetes.
    `int` | `analysis_GetDiabetesCount_Participating()` Counts the total number of participating Employees with Diabetes.
    `int` | `analysis_GetDiabetesCount_Total()` Counts the total number of Employees with Diabetes.
    `int` | `analysis_GetEmployeeCount_Aggregate()` Computes the number of Employees
    `int` | `analysis_GetEmployeeCount_Diabetes()` Counts the number of Employees who have diabetes.
    `int` | `analysis_GetEmployeeCount_GoalConformance()` Counts the number of Employees who have the goal "Conformance".
    `int` | `analysis_GetEmployeeCount_GoalHealth()` Counts the number of Employees who have the goal "Health".
    `int` | `analysis_GetEmployeeCount_GoalIncome()` Counts the number of Employees who have the goal "Income".
    `int` | `analysis_GetEmployeeCount_Retirement()` Counts the number of Employees who retire.
    `int` | `analysis_GetEmployeeCount_Stage1()` Counts the number of Employees who are at stage of change 1.
    `int` | `analysis_GetEmployeeCount_Stage2()` Counts the number of Employees who are at stage of change 2.
    `int` | `analysis_GetEmployeeCount_Stage3()` Counts the number of Employees who are at stage of change 3.
    `int` | `analysis_GetEmployeeCount_Termination()` Counts the number of Employees who terminate.
    `int` | `analysis_GetEmployeeCount_Total()` Counts the number of Employees.
    `int` | `analysis_GetEmployeeCount_WeightNormal()` Counts the number of Employees who have normal weight.
    `int` | `analysis_GetEmployeeCount_WeightObese()` Counts the number of Employees who are obese.
    `int` | `analysis_GetEmployeeCount_WeightOverweight()` Counts the number of Employees who are overweight.
    `double` | `analysis_GetMedicalExpenditures_Average_NonParticipating()` Computes the annual average medical expenditures for diabetes care for non-participating employees.
    `double` | `analysis_GetMedicalExpenditures_Average_Participating()` Computes the annual average medical expenditures for diabetes care for participating employees.
    `double` | `analysis_GetMedicalExpenditures_Average_Total()` Computes the annual average medical expenditures for diabetes care for all employees.
    `double` | `analysis_GetMedicalExpenditures_NonParticipating()` Computes the annual medical expenditures for diabetes care for non-participating employees.
    `double` | `analysis_GetMedicalExpenditures_Participating()` Computes the annual medical expenditures for diabetes care for participating employees.
    `double` | `analysis_GetMedicalExpenditures_Total()` Computes the annual medical expenditures for diabetes care for all employees.
    `int` | `analysis_GetNonParticipationCount_Aggregate()` Computes the number of non-participating employees
    `int` | `analysis_GetNonParticipationCount_Total()` Counts the number of Employees not participating in the wellness program.
    `int` | `analysis_GetParticipationCount_Aggregate()` Computes the number of participating employees
    `int` | `analysis_GetParticipationCount_Diabetes()` Counts the number of Employees participating in the wellness program who have diabetes.
    `int` | `analysis_GetParticipationCount_GoalConformance()` Counts the number of Employees participating in the wellness program who have the goal "Conformance".
    `int` | `analysis_GetParticipationCount_GoalHealth()` Counts the number of Employees participating in the wellness program who have the goal "Health".
    `int` | `analysis_GetParticipationCount_GoalIncome()` Counts the number of Employees participating in the wellness program who have the goal "Income".
    `int` | `analysis_GetParticipationCount_Stage1()` Counts the number of Employees participating in the wellness program who are at stage of change 1.
    `int` | `analysis_GetParticipationCount_Stage2()` Counts the number of Employees participating in the wellness program who are at stage of change 2.
    `int` | `analysis_GetParticipationCount_Stage3()` Counts the number of Employees participating in the wellness program who are at stage of change 3.
    `int` | `analysis_GetParticipationCount_Total()` Counts the number of Employees participating in the wellness program.
    `int` | `analysis_GetParticipationCount_WeightNormal()` Counts the number of Employees participating in the wellness program who have normal weight.
    `int` | `analysis_GetParticipationCount_WeightObese()` Counts the number of Employees participating in the wellness program who are obese.
    `int` | `analysis_GetParticipationCount_WeightOverweight()` Counts the number of Employees participating in the wellness program who are overweight.
    `double` | `analysis_GetProgramCosts_Base()` Computes the base design annual program costs for participating employees.
    `double` | `analysis_GetProgramCosts_ChoiceArchitecture()` Computes the choice architecture design annual program costs for participating employees.
    `double` | `analysis_GetProgramCosts_Incentive()` Computes the incentive annual program costs for participating employees.
    `double` | `analysis_GetProgramCosts_Total()` Computes the total annual program costs for participating employees.
    `int` | `analysis_GetStageOfChange()` Provides the Employee's stage of change as an integer (1, 2, or 3).
    `int` | `getCurrentAge()`
    `java.lang.String` | `getCurrentCareer()` Returns the number of years of the Employee's career.
    `Constants.Disease` | `getCurrentDiseaseStatus()`
    `boolean` | `getCurrentEmploymentStatus()`
    `boolean` | `getCurrentProgramParticipationStatus()`
    `boolean` | `getCurrentRetirementStatus()`
    `Constants.StageOfChange` | `getCurrentStageOfChange()`
    `Constants.WeightCategory` | `getCurrentWeightCategory()`
    `java.lang.String` | `getEmployeeGoal1()` Returns the Employee's first goal as a string.
    `java.lang.String` | `getEmployeeGoal2()` Returns the Employee's second goal as a string.
    `java.lang.String` | `getEmployeeGoal3()` Returns the Employee's third goal as a string.
    `java.util.ArrayList<Goal>` | `getEmployeeGoals()`
    `int` | `getEmployeeIDNumber()` Returns the Employee's identification number as an integer.
    `java.lang.String` | `getEmployeeIDString()` Returns the Employee's identification number as a string.
    `int` | `getIntCurrentDiseaseStatus()`
    `int` | `getIntCurrentParticipationHistory()`
    `int` | `getIntCurrentStageOfChange()` Returns the Employee's current stage of change as an integer.
    `int` | `getIntCurrentWeightCategory()`
    `int` | `getIntegerCurrentDiseaseStatus()` Returns the Employee's disease status as an integer.
    `boolean` | `getPreviousProgramParticipationStatus()`
    `java.lang.String` | `getStringCurrentAge()` Returns the Employee's current age.
    `java.lang.String` | `getStringCurrentDiseaseStatus()` Returns the Employee's current disease status as a string.
    `java.lang.String` | `getStringCurrentWeightCategory()`
    `void` | `init_IncrementVariables_EOY()` Initializes variables at the end of the year.
    `void` | `init_InitializeVariables_BOY()` Initializes variables at the beginning of each simulation period.
    `void` | `init_InitializeVariables_Constructor()` Initializes variables (used in the constructor)
    `void` | `p1_MakeParticipationDecision()` Decide whether to participate in the workplace wellness plan.
    `void` | `p2_MakeComplianceDecision()` Determine whether to comply with the program's exercise recommendations.
    `void` | `p3_DetermineWeightCategory()` Determine the current weight category.
    `void` | `p4_DetermineDiseaseStatus()` Determine the current disease status.
    `void` | `p5_TerminateEmployment()` Decide whether to terminate employment.
    `void` | `p6_Retire()` Decide whether to retire.
    `boolean` | `r2_DetermineFavoredParticipationDecision()`

    - ### Methods inherited from class agents.Agent

      `getAgentFirstPriorityGoalDescription, getAgentID, getAgentSecondPriorityGoalDescription, getAgentXLocation, getAgentYLocation, setAgentFirstPriorityGoalDescription, setAgentID, setAgentSecondPriorityGoalDescription, setAgentXLocation, setAgentYLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Employee

          public Employee(repast.simphony.context.Context<java.lang.Object> pContext,
                  AgentID pEmployeeID)

      Constructs an Employee agent. The constructor sets the Employee's attribute variables based on input parameters.
      Parameters:
        `pContext` - The identifier for the simulation context
        `pEmployeeID` - The Employee's identifier.

  - ### Method Detail

    - #### init_InitializeVariables_Constructor

          public void init_InitializeVariables_Constructor()

      Initializes variables (used in the constructor)

    - #### init_InitializeVariables_BOY

          public void init_InitializeVariables_BOY()

      Initializes variables at the beginning of each simulation period.

    - #### init_IncrementVariables_EOY

          public void init_IncrementVariables_EOY()

      Initializes variables at the end of the year.

    - #### p1_MakeParticipationDecision

          public void p1_MakeParticipationDecision()

      Decide whether to participate in the workplace wellness plan.

    - #### p2_MakeComplianceDecision

          public void p2_MakeComplianceDecision()

      Determine whether to comply with the program's exercise recommendations.

    - #### p3_DetermineWeightCategory

          public void p3_DetermineWeightCategory()

      Determine the current weight category.

    - #### p4_DetermineDiseaseStatus

          public void p4_DetermineDiseaseStatus()

      Determine the current disease status.

    - #### p5_TerminateEmployment

          public void p5_TerminateEmployment()

      Decide whether to terminate employment.

    - #### p6_Retire

          public void p6_Retire()

      Decide whether to retire.

    - #### r2_DetermineFavoredParticipationDecision

          public boolean r2_DetermineFavoredParticipationDecision()

    - #### getEmployeeIDString

          public java.lang.String getEmployeeIDString()

      Returns the Employee's identification number as a string.
      Returns:
        the Employee's identification number as a string.

    - #### getStringCurrentAge

          public java.lang.String getStringCurrentAge()

      Returns the Employee's current age.
      Returns:
        the Employee's current age.

    - #### getCurrentCareer

          public java.lang.String getCurrentCareer()

      Returns the number of years of the Employee's career.
      Returns:
        the Employee's career in years.

    - #### getEmployeeGoal1

          public java.lang.String getEmployeeGoal1()

      Returns the Employee's first goal as a string.
      Returns:
        A string with the Employee's first goal.

    - #### getEmployeeGoal2

          public java.lang.String getEmployeeGoal2()

      Returns the Employee's second goal as a string.
      Returns:
        A string with the Employees's second goal

    - #### getEmployeeGoal3

          public java.lang.String getEmployeeGoal3()

      Returns the Employee's third goal as a string.
      Returns:
        A string with the Employee's third goal

    - #### getStringCurrentWeightCategory

          public java.lang.String getStringCurrentWeightCategory()

    - #### getIntCurrentWeightCategory

          public int getIntCurrentWeightCategory()

    - #### getStringCurrentDiseaseStatus

          public java.lang.String getStringCurrentDiseaseStatus()

      Returns the Employee's current disease status as a string.
      Returns:
        the Employee's current disease status as a string.

    - #### getIntCurrentDiseaseStatus

          public int getIntCurrentDiseaseStatus()

    - #### getIntCurrentStageOfChange

          public int getIntCurrentStageOfChange()

      Returns the Employee's current stage of change as an integer.
      Returns:
        the Employee's current stage of change as an integer.

    - #### getCurrentProgramParticipationStatus

          public boolean getCurrentProgramParticipationStatus()

    - #### getIntCurrentParticipationHistory

          public int getIntCurrentParticipationHistory()

    - #### getCurrentEmploymentStatus

          public boolean getCurrentEmploymentStatus()

    - #### getCurrentRetirementStatus

          public boolean getCurrentRetirementStatus()

    - #### getIntegerCurrentDiseaseStatus

          public int getIntegerCurrentDiseaseStatus()

      Returns the Employee's disease status as an integer.
      Returns:
        the Employee's disease status as an integer.

    - #### getEmployeeIDNumber

          public int getEmployeeIDNumber()

      Returns the Employee's identification number as an integer.
      Returns:
        the Employees's identification number as an integer.

    - #### analysis_GetEmployeeCount_Total

          public int analysis_GetEmployeeCount_Total()

      Counts the number of Employees. This method is used to generate several charts.
      Returns:
        1 for each Employee

    - #### analysis_GetEmployeeCount_Termination

          public int analysis_GetEmployeeCount_Termination()

      Counts the number of Employees who terminate.
      Returns:
        1 for each Employee who terminates

    - #### analysis_GetEmployeeCount_Retirement

          public int analysis_GetEmployeeCount_Retirement()

      Counts the number of Employees who retire.
      Returns:
        1 for each Employee who terminates

    - #### analysis_GetEmployeeCount_GoalHealth

          public int analysis_GetEmployeeCount_GoalHealth()

      Counts the number of Employees who have the goal "Health".
      Returns:
        1 if the Employee has goal "Health", and 0 otherwise.

    - #### analysis_GetEmployeeCount_GoalConformance

          public int analysis_GetEmployeeCount_GoalConformance()

      Counts the number of Employees who have the goal "Conformance".
      Returns:
        1 if the Employee has goal "Conformance", and 0 otherwise.

    - #### analysis_GetEmployeeCount_GoalIncome

          public int analysis_GetEmployeeCount_GoalIncome()

      Counts the number of Employees who have the goal "Income".
      Returns:
        1 if the Employee has goal "Income", and 0 otherwise.

    - #### analysis_GetAge_Total

          public int analysis_GetAge_Total()

      Gets the age of each employee.
      Returns:
        the age of each employee

    - #### analysis_GetAge_Participating

          public int analysis_GetAge_Participating()

      Gets the age of each participant.
      Returns:
        the age of each participant

    - #### analysis_GetAge_Average_Total

          public int analysis_GetAge_Average_Total()

      Gets the average age of each employee.
      Returns:
        the average age of each employee

    - #### analysis_GetAge_Average_Participating

          public int analysis_GetAge_Average_Participating()

      Gets the average age of each participant.
      Returns:
        the average age of each participant

    - #### analysis_GetAge_Average_NonParticipating

          public int analysis_GetAge_Average_NonParticipating()

      Gets the average age of each non-participant.
      Returns:
        the average age of each non-participant

    - #### analysis_GetAge_Diabetes

          public int analysis_GetAge_Diabetes()

      Gets the age of each person with diabetes.
      Returns:
        the age of each person with diabetes

    - #### analysis_GetDiabetesCount_Total

          public int analysis_GetDiabetesCount_Total()

      Counts the total number of Employees with Diabetes. This method is used to generate the simulation's "Disease prevalence" graph.
      Returns:
        1 if the Employee has Diabetes and 0 otherwise.

    - #### analysis_GetDiabetesCount_Participating

          public int analysis_GetDiabetesCount_Participating()

      Counts the total number of participating Employees with Diabetes. This method is used to generate the simulation's "Disease prevalence" graph.
      Returns:
        1 if the Employee participates in the Wellness program and has Diabetes, and 0 otherwise.

    - #### analysis_GetDiabetesCount_NonParticipating

          public int analysis_GetDiabetesCount_NonParticipating()

      Counts the total number of non-participating Employees with Diabetes. This method is used to generate the simulation's "Disease prevalence" graph.
      Returns:
        1 if the Employee does not participate in the Wellness program and has Diabetes, and 0 otherwise.

    - #### analysis_GetParticipationCount_Total

          public int analysis_GetParticipationCount_Total()

      Counts the number of Employees participating in the wellness program.
      Returns:
        1 if the Employee participates, and 0 otherwise.

    - #### analysis_GetNonParticipationCount_Total

          public int analysis_GetNonParticipationCount_Total()

      Counts the number of Employees not participating in the wellness program.
      Returns:
        1 if the Employee does not participate, and 0 otherwise.

    - #### analysis_GetParticipationCount_GoalHealth

          public int analysis_GetParticipationCount_GoalHealth()

      Counts the number of Employees participating in the wellness program who have the goal "Health". This method is used to generate the simulation's "Number of program participants" graph.
      Returns:
        1 if the Employee participates and has goal "Health", and 0 otherwise.

    - #### analysis_GetParticipationCount_GoalConformance

          public int analysis_GetParticipationCount_GoalConformance()

      Counts the number of Employees participating in the wellness program who have the goal "Conformance". This method is used to generate the simulation's "Number of program participants" graph.
      Returns:
        1 if the Employee participates and has goal "Conformance", and 0 otherwise.

    - #### analysis_GetParticipationCount_GoalIncome

          public int analysis_GetParticipationCount_GoalIncome()

      Counts the number of Employees participating in the wellness program who have the goal "Income". This method is used to generate the simulation's "Number of program participants" graph.
      Returns:
        1 if the Employee participates and has goal "Income", and 0 otherwise.

    - #### analysis_GetParticipationCount_WeightNormal

          public int analysis_GetParticipationCount_WeightNormal()

      Counts the number of Employees participating in the wellness program who have normal weight.
      Returns:
        1 if the Employee participates and has normal weight.

    - #### analysis_GetParticipationCount_WeightOverweight

          public int analysis_GetParticipationCount_WeightOverweight()

      Counts the number of Employees participating in the wellness program who are overweight.
      Returns:
        1 if the Employee participates and is overweight.

    - #### analysis_GetParticipationCount_WeightObese

          public int analysis_GetParticipationCount_WeightObese()

      Counts the number of Employees participating in the wellness program who are obese.
      Returns:
        1 if the Employee participates and is obese.

    - #### analysis_GetParticipationCount_Stage1

          public int analysis_GetParticipationCount_Stage1()

      Counts the number of Employees participating in the wellness program who are at stage of change 1.
      Returns:
        1 if the Employee is participating and is at stage of change 1.

    - #### analysis_GetParticipationCount_Stage2

          public int analysis_GetParticipationCount_Stage2()

      Counts the number of Employees participating in the wellness program who are at stage of change 2.
      Returns:
        1 if the Employee is participating and is at stage of change 2.

    - #### analysis_GetParticipationCount_Stage3

          public int analysis_GetParticipationCount_Stage3()

      Counts the number of Employees participating in the wellness program who are at stage of change 3.
      Returns:
        1 if the Employee is participating and is at stage of change 3.

    - #### analysis_GetEmployeeCount_Stage1

          public int analysis_GetEmployeeCount_Stage1()

      Counts the number of Employees who are at stage of change 1.
      Returns:
        1 if the Employee is participating and is at stage of change 1.

    - #### analysis_GetEmployeeCount_Stage2

          public int analysis_GetEmployeeCount_Stage2()

      Counts the number of Employees who are at stage of change 2.
      Returns:
        1 if the Employee is participating and is at stage of change 2.

    - #### analysis_GetEmployeeCount_Stage3

          public int analysis_GetEmployeeCount_Stage3()

      Counts the number of Employees who are at stage of change 3.
      Returns:
        1 if the Employee is participating and is at stage of change 3.

    - #### analysis_GetEmployeeCount_WeightNormal

          public int analysis_GetEmployeeCount_WeightNormal()

      Counts the number of Employees who have normal weight.
      Returns:
        1 if the Employee has normal weight.

    - #### analysis_GetEmployeeCount_WeightOverweight

          public int analysis_GetEmployeeCount_WeightOverweight()

      Counts the number of Employees who are overweight.
      Returns:
        1 if the Employee is overweight.

    - #### analysis_GetEmployeeCount_WeightObese

          public int analysis_GetEmployeeCount_WeightObese()

      Counts the number of Employees who are obese.
      Returns:
        1 if the Employee is obese.

    - #### analysis_GetParticipationCount_Diabetes

          public int analysis_GetParticipationCount_Diabetes()

      Counts the number of Employees participating in the wellness program who have diabetes.
      Returns:
        1 if the Employee participates and has diabetes, and 0 otherwise.

    - #### analysis_GetEmployeeCount_Diabetes

          public int analysis_GetEmployeeCount_Diabetes()

      Counts the number of Employees who have diabetes.
      Returns:
        1 if the Employee has diabetes, and 0 otherwise.

    - #### analysis_GetStageOfChange

          public int analysis_GetStageOfChange()

      Provides the Employee's stage of change as an integer (1, 2, or 3). This method is used to generate the simulation's "Average stage of change" graph.
      Returns:
        1 if the Employee's stage of change is Stage 1, 2 if Stage 2, and 3 if Stage 3.

    - #### analysis_GetBMI_Total

          public double analysis_GetBMI_Total()

      Provides the Employee's weight category as a BMI measure. This method is used to generate the simulation's "Average BMI" graph.
      Returns:
        BMI_1 if the Employee's weight category is Normal, BMI_2 if overweight and BMI_3 if obese.

    - #### analysis_GetCareerLength

          public double analysis_GetCareerLength()

      Computes each Employee's career length
      Returns:
        each Employee's career length.

    - #### analysis_GetCareerLength_Average_Total

          public double analysis_GetCareerLength_Average_Total()

      Computes each Employee's average career length
      Returns:
        each Employee's average career length.

    - #### analysis_GetCareerLength_Average_Participating

          public double analysis_GetCareerLength_Average_Participating()

      Computes the average career length for program participants
      Returns:
        the average career length for program participants.

    - #### analysis_GetCareerLength_Average_NonParticipating

          public double analysis_GetCareerLength_Average_NonParticipating()

      Computes the average career length for program non-participants
      Returns:
        the average career length for program non-participants.

    - #### analysis_GetEmployeeCount_Aggregate

          public int analysis_GetEmployeeCount_Aggregate()

      Computes the number of Employees
      Returns:
        the number of Employees.

    - #### analysis_GetParticipationCount_Aggregate

          public int analysis_GetParticipationCount_Aggregate()

      Computes the number of participating employees
      Returns:
        the number of participating employees.

    - #### analysis_GetNonParticipationCount_Aggregate

          public int analysis_GetNonParticipationCount_Aggregate()

      Computes the number of non-participating employees
      Returns:
        the number of non-participating employees.

    - #### analysis_GetMedicalExpenditures_Total

          public double analysis_GetMedicalExpenditures_Total()

      Computes the annual medical expenditures for diabetes care for all employees.
      Returns:
        the annual medical expenditures for diabetes care for all employees.

    - #### analysis_GetMedicalExpenditures_Participating

          public double analysis_GetMedicalExpenditures_Participating()

      Computes the annual medical expenditures for diabetes care for participating employees.
      Returns:
        the annual medical expenditures for diabetes care for participating employees.

    - #### analysis_GetMedicalExpenditures_NonParticipating

          public double analysis_GetMedicalExpenditures_NonParticipating()

      Computes the annual medical expenditures for diabetes care for non-participating employees.
      Returns:
        the annual medical expenditures for diabetes care for participating employees.

    - #### analysis_GetMedicalExpenditures_Average_Total

          public double analysis_GetMedicalExpenditures_Average_Total()

      Computes the annual average medical expenditures for diabetes care for all employees.
      Returns:
        the annual medical expenditures for diabetes care for all employees.

    - #### analysis_GetMedicalExpenditures_Average_Participating

          public double analysis_GetMedicalExpenditures_Average_Participating()

      Computes the annual average medical expenditures for diabetes care for participating employees.
      Returns:
        the annual medical expenditures for diabetes care for participating employees.

    - #### analysis_GetMedicalExpenditures_Average_NonParticipating

          public double analysis_GetMedicalExpenditures_Average_NonParticipating()

      Computes the annual average medical expenditures for diabetes care for non-participating employees.
      Returns:
        the annual medical expenditures for diabetes care for non-participating employees.

    - #### analysis_GetAbsences_Total

          public double analysis_GetAbsences_Total()

      Computes the annual absence due to diabetes for all employees.
      Returns:
        the annual absence due to diabetes for all employees.

    - #### analysis_GetAbsences_Participating

          public double analysis_GetAbsences_Participating()

      Computes the annual absence due to diabetes for participating employees.
      Returns:
        the annual absence due to diabetes for participating employees.

    - #### analysis_GetAbsences_NonParticipating

          public double analysis_GetAbsences_NonParticipating()

      Computes the annual absence due to diabetes for non-participating employees.
      Returns:
        the annual absence due to diabetes for participating employees.

    - #### analysis_GetAbsences_Average_Total

          public double analysis_GetAbsences_Average_Total()

      Computes the annual average absence due to diabetes for all employees.
      Returns:
        the annual absence due to diabetes for all employees.

    - #### analysis_GetAbsences_Average_Participating

          public double analysis_GetAbsences_Average_Participating()

      Computes the annual average absence due to diabetes for participating employees.
      Returns:
        the annual absence due to diabetes for participating employees.

    - #### analysis_GetAbsences_Average_NonParticipating

          public double analysis_GetAbsences_Average_NonParticipating()

      Computes the annual average absence due to diabetes for non-participating employees.
      Returns:
        the annual absence due to diabetes for non-participating employees.

    - #### analysis_GetProgramCosts_Total

          public double analysis_GetProgramCosts_Total()

      Computes the total annual program costs for participating employees.
      Returns:
        the total annual program costs for participating employees.

    - #### analysis_GetProgramCosts_Base

          public double analysis_GetProgramCosts_Base()

      Computes the base design annual program costs for participating employees.
      Returns:
        the base design annual program costs for participating employees.

    - #### analysis_GetProgramCosts_Incentive

          public double analysis_GetProgramCosts_Incentive()

      Computes the incentive annual program costs for participating employees.
      Returns:
        the incentive annual program costs for participating employees.

    - #### analysis_GetProgramCosts_ChoiceArchitecture

          public double analysis_GetProgramCosts_ChoiceArchitecture()

      Computes the choice architecture design annual program costs for participating employees.
      Returns:
        the choice architecture annual program costs for participating employees.

    - #### analysis_DetermineProgramCost_Base

          public double analysis_DetermineProgramCost_Base()

      Computes the base design annual program cost for each Employee.
      Returns:
        the base design annual program cost for each Employee.

    - #### analysis_DetermineProgramCost_Incentive

          public double analysis_DetermineProgramCost_Incentive()

      Computes the incentive annual program cost for each Employee.
      Returns:
        the incentive annual program cost for each Employee.

    - #### analysis_DetermineProgramCost_ChoiceArchitecture

          public double analysis_DetermineProgramCost_ChoiceArchitecture()

      Computes the choice architecture program cost for each Employee.
      Returns:
        the choice architecture program cost for each Employee.

    - #### getCurrentAge

          public int getCurrentAge()

    - #### getCurrentDiseaseStatus

          public Constants.Disease getCurrentDiseaseStatus()

    - #### getCurrentStageOfChange

          public Constants.StageOfChange getCurrentStageOfChange()

    - #### getEmployeeGoals

          public java.util.ArrayList<Goal> getEmployeeGoals()

    - #### getCurrentWeightCategory

          public Constants.WeightCategory getCurrentWeightCategory()

    - #### getPreviousProgramParticipationStatus

          public boolean getPreviousProgramParticipationStatus()